Bug 1326855 - 403 error with GitHub source URL check
Summary: 403 error with GitHub source URL check
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-13 14:37 UTC by Adam Huffman
Modified: 2016-04-22 01:22 UTC (History)
5 users (show)

Fixed In Version: rpmlint-1.8-6.fc24 rpmlint-1.8-6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 15:24:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Huffman 2016-04-13 14:37:19 UTC
Description of problem:

I've been running rpmlint against the spec file in the review request https://bugzilla.redhat.com/show_bug.cgi?id=1326504

The upstream source for this package is hosted on GitHub.

The HEAD request against the source URL that rpmlint runs receives a 403 response from GitHub, which is then reported as an invalid URL.

I reported this to the upstream of rpmlint, who said that this is a GitHub problem:

https://github.com/rpm-software-management/rpmlint/issues/71

Could GitHub be added to the filters supplied with the Fedora package, as has happened with bitbucket and others, at least until GitHub fixes this problem?

Version-Release number of selected component (if applicable):
rpmlint-1.8-4.fc23.src.rpm

How reproducible:
Every time

Steps to Reproduce:
1. Run rpmlint against spec file with GitHub source URL
2.
3.

Actual results:
Invalid source URL reported

Expected results:
URL check succeeds 

Additional info:

Comment 1 Fedora Update System 2016-04-18 19:56:02 UTC
rpmlint-1.8-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fab2c796ec

Comment 2 Fedora Update System 2016-04-18 19:56:10 UTC
rpmlint-1.8-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3f7a639bb

Comment 3 Fedora Update System 2016-04-19 20:25:55 UTC
rpmlint-1.8-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fab2c796ec

Comment 4 Fedora Update System 2016-04-20 14:53:04 UTC
rpmlint-1.8-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3f7a639bb

Comment 5 Fedora Update System 2016-04-20 15:24:21 UTC
rpmlint-1.8-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-04-22 01:22:15 UTC
rpmlint-1.8-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.